Bug 551755 - file-jpeg crashes with exif writing problems
Summary: file-jpeg crashes with exif writing problems
Status: CLOSED DUPLICATE of bug 589283
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-01 19:35 UTC by Klaus Lichtenwalder
Modified: 2010-11-04 11:46 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-04 11:46:12 UTC


Attachments (Terms of Use)
raw image file that exhibits the problem when saved from gimp (9.19 MB, application/octet-stream)
2010-01-05 14:27 UTC, Nils Philippsen
no flags Details

Description Klaus Lichtenwalder 2010-01-01 19:35:02 UTC
Description of problem:
file-jpeg seems to eat all available memory due to some (mis?) interpretation of exif data in a raw file coming from a digital camera (Olympus E-510). If I limit the resources, I get the following backtrace:

Program received signal SIGSEGV, Segmentation fault.
exif_set_sshort (b=0x398 <Address 0x398 out of bounds>, 
    order=EXIF_BYTE_ORDER_MOTOROLA, value=-28026) at exif-utils.c:114
114			b[1] = (unsigned char) value;
(gdb) where
#0  exif_set_sshort (b=0x398 <Address 0x398 out of bounds>, 
    order=EXIF_BYTE_ORDER_MOTOROLA, value=-28026) at exif-utils.c:114
#1  0x000000328340cbfb in exif_data_save_data_entry (
    offset=<value optimized out>, ds=<value optimized out>, 
    d=<value optimized out>, e=<value optimized out>, 
    data=<value optimized out>) at exif-data.c:233
#2  exif_data_save_data_content (offset=<value optimized out>, 
    ds=<value optimized out>, d=<value optimized out>, 
    e=<value optimized out>, data=<value optimized out>) at exif-data.c:526
#3  0x000000328340cd91 in exif_data_save_data_content (data=0x6b3600, 
    ifd=0x6b3a00, d=0x7fffffffd980, ds=<value optimized out>, offset=106)
    at exif-data.c:550
#4  0x000000328340d339 in exif_data_save_data (data=0x6b3600, 
    d=0x7fffffffd980, ds=0x7fffffffd988) at exif-data.c:927
#5  0x0000000000409670 in save_image (filename=<value optimized out>, 
    image_ID=<value optimized out>, drawable_ID=<value optimized out>, 
    orig_image_ID=<value optimized out>, preview=<value optimized out>, 
    error=<value optimized out>) at jpeg-save.c:549
#6  0x00000000004060a2 in run (name=<value optimized out>, nparams=6356824, 
    param=0x623100, nreturn_vals=0x7fffffffde8c, 
    return_vals=<value optimized out>) at jpeg.c:484
#7  0x0000003f456126c6 in gimp_proc_run (proc_run=<value optimized out>)
    at gimp.c:1894

Version-Release number of selected component (if applicable):
gimp-2.6.7-2.fc12.x86_64

How reproducible:
Always with this raw image

Steps to Reproduce:
1. Open Image (needs ufraw)
2. Save Image as jpeg
3.
  
Actual results:
Systems seems to hang, eating all available memory till process crashes

Expected results:
Successful write of jpeg image, as done with other pictures from the same camera

Additional info:
I don't know how to really look into this deeper, will do tests if somebody knows how to get better information (save compiling gimp from source and looking, which I'd like to avoid, if possible. If not, well, ok)

Comment 1 Nils Philippsen 2010-01-04 09:47:20 UTC
Would you please check if you see this error with (soon to be stable) gimp-2.6.8-1.fc12 which is currently available in updates-testing? If yes, please compress (gzip/bzip2) your raw file and attach it to this report so I can investigate this further. Thanks!

Comment 2 Klaus Lichtenwalder 2010-01-04 16:42:43 UTC
Nils,

I'm afraid it still crashes. As the raw file is 9MB, I'm putting it on my webserver, for download: http://lklaus.homelinux.org/testjpeg.orf

Klaus

Comment 3 Nils Philippsen 2010-01-05 11:07:10 UTC
Thanks for uploading this, I could reproduce the hang with both gimp-2.6.8 and the development branch. Mind if I attach your file to this ticket for future reference?

Comment 4 Klaus Lichtenwalder 2010-01-05 14:19:05 UTC
Nils,

no problem, go ahead, it's not something of great privacy value :-)

Comment 5 Nils Philippsen 2010-01-05 14:27:36 UTC
Created attachment 381764 [details]
raw image file that exhibits the problem when saved from gimp

Comment 6 Nils Philippsen 2010-01-05 14:30:13 UTC
"... as JPEG"

Comment 7 Matthew Miller 2010-05-30 04:46:06 UTC
this bug seems to be a duplicate of bug #589283, yeah? (Perhaps intentionally, from the comments)

Comment 8 Bug Zapper 2010-11-04 02:05:17 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Nils Philippsen 2010-11-04 11:46:12 UTC
(In reply to comment #7)
> this bug seems to be a duplicate of bug #589283, yeah? (Perhaps intentionally,
> from the comments)

Seems to be that -- with the fixed libexif packages, I couldn't reproduce the bug.

*** This bug has been marked as a duplicate of bug 589283 ***


Note You need to log in before you can comment on or make changes to this bug.